Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000170Frama-CDocumentation > manualspublic2009-06-29 21:192016-06-21 14:21
Reporternsh 
Assigned Tocorrenson 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Beryllium-20090902 
Summary0000170: Impossible to pass option to jessie or why through jessie plugin
DescriptionIn Beryllium it's impossible to pass neigher jessie no why options

[shmyrev@gnome bin]$ ./frama-c -jessie -jessie-jc-opt -separation test.c
[kernel] error: option `-jessie-jc-opt' requires a string as argument.
[kernel] error: use `./frama-c -help' for more information.

The same issue with -jessie-why-opt
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000340closed Problem to give an option to Jc in command-line with -jessie-jc-opt 

-  Notes
(0000225)
signoles (manager)
2009-06-30 09:13

It is not a bug but a new feature of Beryllium which breaks compatibility with previous versions: in order to better detect and report errors, any argument of options which begins by '-' are invalid by default. You must use the following syntax (using the character '='):

$ ./frama-c -jessie -jessie-jc-opt=-separation test.c
(0000226)
nsh (reporter)
2009-06-30 11:00

Would you mind to update -help output then? It's almost impossible to guess the correct invocation form from docs.
(0000227)
signoles (manager)
2009-06-30 11:06

Documentation should be improved and should specify how to use the Frama-C command line.
(0000334)
puccetti (developer)
2009-08-06 10:44

This has been added upfront in the Frama-C User Manual.
(0000377)
signoles (manager)
2009-09-07 12:52

The incoming user manual is still not released.
(0000593)
signoles (manager)
2009-12-03 12:55

The Frama-C user manual is now released.

- Issue History
Date Modified Username Field Change
2009-06-29 21:19 nsh New Issue
2009-06-30 09:09 signoles Status new => assigned
2009-06-30 09:09 signoles Assigned To => signoles
2009-06-30 09:13 signoles Note Added: 0000225
2009-06-30 09:13 signoles Status assigned => closed
2009-06-30 09:13 signoles Resolution open => no change required
2009-06-30 11:00 nsh Note Added: 0000226
2009-06-30 11:00 nsh Status closed => feedback
2009-06-30 11:00 nsh Resolution no change required => reopened
2009-06-30 11:03 signoles Category plug-in > jessie => documentation
2009-06-30 11:06 signoles Note Added: 0000227
2009-06-30 11:06 signoles Assigned To signoles =>
2009-06-30 11:06 signoles Status feedback => acknowledged
2009-07-01 10:48 signoles Relationship added related to 0000097
2009-07-05 14:18 signoles Status acknowledged => assigned
2009-07-05 14:18 signoles Assigned To => correnson
2009-08-06 10:44 puccetti Note Added: 0000334
2009-08-06 12:41 signoles Status assigned => resolved
2009-08-06 12:41 signoles Fixed in Version => Frama-C Beryllium
2009-08-06 12:41 signoles Resolution reopened => fixed
2009-08-26 10:30 signoles Fixed in Version Frama-C Beryllium =>
2009-09-02 10:54 signoles Status resolved => closed
2009-09-02 10:57 signoles Fixed in Version => Frama-C Beryllium
2009-09-07 12:51 signoles Status closed => resolved
2009-09-07 12:51 signoles Fixed in Version Frama-C Beryllium => Frama-C Bore
2009-09-07 12:52 signoles Note Added: 0000377
2009-11-23 13:10 signoles Relationship added has duplicate 0000340
2009-12-03 12:55 signoles Note Added: 0000593
2009-12-03 12:55 signoles Status resolved => closed
2009-12-03 12:55 signoles Fixed in Version Frama-C Bore => Frama-C Beryllium 2
2016-06-21 14:11 signoles Category Documentation => Documentation > ACSL
2016-06-21 14:21 signoles Category Documentation > ACSL => Documentation > manuals


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker